// ===========================================================================
//	USoundPlayer.h					 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the USoundPlayer.cp file.
//
// ---------------------------------------------------------------------------


#pragma once

#include	<Sound.h>
#include	<LPeriodical.h>



// ---------------------------------------------------------------------------
//		 Class USoundPlayer
// ---------------------------------------------------------------------------

class USoundPlayer	: public LPeriodical
{
public:
	
	static void					Initialize();
	static void					Dispose();
	static void					PlaySound(ConstStr255Param	inSoundName);
	static void					PlaySound(ResIDT			inSoundID);
	static void					PlaySound(SndListHandle		inSoundHandle);
	
	virtual	void				SpendTime(const EventRecord &inMacEvent);
	
protected:
	static USoundPlayer			*sSoundPlayer;
	static SndListHandle		sSoundHandle;
	static SndChannelPtr		sSoundChannel;
	
	
	static void					PlaySoundHandle(SndListHandle inSoundHandle);
	static void					StopCurrentSound();
};

